﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace ClearSelectionOnGrouping
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        ViewModel viewModel;
        public MainPage()
        {
            this.InitializeComponent();
            viewModel = this.sfgrid.DataContext as ViewModel;
            viewModel.IsSourceGrouped = true;
            this.sfgrid.Loaded += Sfgrid_Loaded;
        }

        private void Sfgrid_Loaded(object sender, RoutedEventArgs e)
        {           
            sfgrid.ItemsSource = viewModel.MyProperty;
            Binding disBinding = new Binding();
            disBinding.Path = new PropertyPath("NameAttr.Name");
            sfgrid.Columns.Add(new GridTextColumn() { MappingName = "CustomerName", DisplayBinding = disBinding, CellTemplate = App.Current.Resources["cellTemplate"] as DataTemplate });
        }
    }
}
